/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/6/26
 */
package org.springblade.modules.report;

import lombok.Data;
import org.springblade.core.tool.utils.Func;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/***
 * Date:2023/6/26
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Data
public class WeekReportBean {

	public List<Map<String, Object>> reportCountTime(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();

		Map<String, Object> d = new HashMap<>();
		d.put("reportTime", "统计时间：2023年6月20日-28日第四周");
		list.add(d);

		return list;
	}

	public List<Map<String, Object>> orgCheckOrderCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "呼和浩特市");
		d.put("orderSum", 20);
		d.put("completeOrderCount", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "包头市");
		d.put("orderSum", 14);
		d.put("completeOrderCount", 2);
		d.put("type","");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "乌海市");
		d.put("orderSum", 30);
		d.put("completeOrderCount", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "赤峰市");
		d.put("orderSum", 28);
		d.put("completeOrderCount", 9);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "鄂尔多斯市");
		d.put("orderSum", 5);
		d.put("completeOrderCount", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "兴安盟");
		d.put("orderSum", 33);
		d.put("completeOrderCount", 12);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "阿拉善盟");
		d.put("orderSum", 10);
		d.put("completeOrderCount", 1);
		list.add(d);
		return list;
	}

	public List<Map<String, Object>> orgCheckOrderPieCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("orgName", "呼和浩特市");
		d.put("value", 20);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "呼和浩特市");
		d.put("type", "周完成量");
		d.put("value", 2);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "呼和浩特市");
		d.put("type", "未维修数量");
		d.put("value", 18);
		list.add(d);


		d = new HashMap<>();
		d.put("orgName", "包头市");
		d.put("value", 14);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "包头市");
		d.put("type", "周完成量");
		d.put("value", 2);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "包头市");
		d.put("type", "未维修数量");
		d.put("value", 12);
		list.add(d);


		d = new HashMap<>();
		d.put("orgName", "乌海市");
		d.put("value", 30);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "乌海市");
		d.put("type", "周完成量");
		d.put("value", 1);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "乌海市");
		d.put("type", "未维修数量");
		d.put("value", 29);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "赤峰市");
		d.put("value", 28);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "赤峰市");
		d.put("type", "周完成量");
		d.put("value", 9);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "赤峰市");
		d.put("type", "未维修数量");
		d.put("value", 19);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "鄂尔多斯市");
		d.put("value", 5);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "鄂尔多斯市");
		d.put("type", "周完成量");
		d.put("value", 0);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "鄂尔多斯市");
		d.put("type", "未维修数量");
		d.put("value", 5);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "兴安盟");
		d.put("value", 33);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "兴安盟");
		d.put("type", "周完成量");
		d.put("value", 12);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "兴安盟");
		d.put("type", "未维修数量");
		d.put("value", 21);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "阿拉善盟");
		d.put("value", 10);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "阿拉善盟");
		d.put("type", "周完成量");
		d.put("value", 9);
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "阿拉善盟");
		d.put("type", "未维修数量");
		d.put("value", 1);
		list.add(d);
		return list;
	}

	public List<Map<String, Object>> orgCheckOrderGroupCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();

		d.put("orgName", "呼和浩特市");
		d.put("value", 20);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "呼和浩特市");
		d.put("type", "周完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "包头市");
		d.put("value", 14);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "包头市");
		d.put("type", "周完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "乌海市");
		d.put("value", 30);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "乌海市");
		d.put("type", "周完成量");
		d.put("value", 1);
		list.add(d);


		d = new HashMap<>();
		d.put("orgName", "赤峰市");
		d.put("value", 28);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "赤峰市");
		d.put("type", "周完成量");
		d.put("value", 9);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "鄂尔多斯市");
		d.put("value", 5);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "鄂尔多斯市");
		d.put("type", "周完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "兴安盟");
		d.put("value", 33);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "兴安盟");
		d.put("type", "周完成量");
		d.put("value", 12);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "阿拉善盟");
		d.put("value", 10);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "阿拉善盟");
		d.put("type", "周完成量");
		d.put("value", 9);
		list.add(d);

		return list;
	}

	public List<Map<String, Object>> fhhtCheckOrderLineCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();

		d.put("week", "周一");
		d.put("value", 4);
		d.put("type", "维修任务总量");
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周一");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周二");
		d.put("value", 3);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周二");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周三");
		d.put("value", 3);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周三");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);


		d = new HashMap<>();
		d.put("week", "周四");
		d.put("value", 3);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周四");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周五");
		d.put("value", 3);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周五");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周六");
		d.put("value", 2);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周六");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("value", 2);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		return list;
	}


	public List<Map<String, Object>> otherCheckOrderLineCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();

		d.put("week", "周一");
		d.put("value", 1);
		d.put("type", "维修任务总量");
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周一");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周二");
		d.put("value", 0);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周二");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周三");
		d.put("value", 0);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周三");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);


		d = new HashMap<>();
		d.put("week", "周四");
		d.put("value", 1);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周四");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周五");
		d.put("value", 1);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周五");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周六");
		d.put("value", 0);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周六");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("value", 0);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		return list;
	}


	public List<Map<String, Object>> orgCheckOrderLineCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();

		d.put("week", "周一");
		d.put("value", 20);
		d.put("type", "维修任务总量");
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周一");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周二");
		d.put("value", 14);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周二");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周三");
		d.put("value", 30);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周三");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);


		d = new HashMap<>();
		d.put("week", "周四");
		d.put("value", 28);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周四");
		d.put("type", "完成量");
		d.put("value", 9);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周五");
		d.put("value", 5);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周五");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周六");
		d.put("value", 33);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周六");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("value", 10);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		return list;
	}


	public List<Map<String, Object>> rtuUpTableCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCount", 200);
		d.put("upCount", 192);
		d.put("percent",  String.format("%.2f",(192.0/200.0)*100.0));
		list.add(d);

		d = new HashMap<>();
		d.put("index", 2);
		d.put("orgName", "包头市");
		d.put("rtuCount", 120);
		d.put("upCount", 119);
		d.put("percent", String.format("%.2f",(119.0/120.0)*100.0));
		list.add(d);

		d = new HashMap<>();
		d.put("index", 3);
		d.put("orgName", "乌海市");
		d.put("rtuCount", 220);
		d.put("upCount", 211);
		d.put("percent",  String.format("%.2f",(192.0/200.0)*100.0) );
		list.add(d);

		d = new HashMap<>();
		d.put("index", 4);
		d.put("orgName", "赤峰市");
		d.put("rtuCount", 320);
		d.put("upCount", 300);
		d.put("percent",  String.format("%.2f",(192.0/200.0)*100.0));
		list.add(d);

		d = new HashMap<>();
		d.put("index", 5);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCount", 198);
		d.put("upCount", 180);
		d.put("percent",  String.format("%.2f",(192.0/200.0)*100.0));
		list.add(d);

		d = new HashMap<>();
		d.put("index",6);
		d.put("orgName", "兴安盟");
		d.put("rtuCount", 96);
		d.put("upCount", 90);
		d.put("percent",  String.format("%.2f",(192.0/200.0)*100.0));
		list.add(d);

		d = new HashMap<>();
		d.put("index", 7);
		d.put("orgName", "阿拉善盟");
		d.put("rtuCount", 80);
		d.put("upCount", 60);
		d.put("percent",   String.format("%.2f",(60.0/80.0)*100.0));
		list.add(d);
		return list;
	}

	public List<Map<String, Object>> rtuUpBarGroupCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "呼和浩特市");
		d.put("value", 200);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "呼和浩特市");
		d.put("value", 192);
		list.add(d);

		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "包头市");
		d.put("value", 120);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "包头市");
		d.put("value", 119);
		list.add(d);

		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "乌海市");
		d.put("value", 220);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "乌海市");
		d.put("value", 211);
		list.add(d);

		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "赤峰市");
		d.put("value", 320);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "赤峰市");
		d.put("value", 300);
		list.add(d);


		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "鄂尔多斯市");
		d.put("value", 198);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "鄂尔多斯市");
		d.put("value", 180);
		list.add(d);


		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "兴安盟");
		d.put("value", 96);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "兴安盟");
		d.put("value", 90);
		list.add(d);

		d = new HashMap<>();
		d.put("type", "测站数量");
		d.put("orgName", "阿拉善盟");
		d.put("value", 80);
		list.add(d);
		d = new HashMap<>();
		d.put("type", "上报测站");
		d.put("orgName", "阿拉善盟");
		d.put("value", 60);
		list.add(d);

		return list;
	}

	public List<Map<String, Object>> rtuUpLineCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();

		d.put("week", "周一");
		d.put("value", 20);
		d.put("type", "维修任务总量");
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周一");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周二");
		d.put("value", 14);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周二");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周三");
		d.put("value", 30);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周三");
		d.put("type", "完成量");
		d.put("value", 1);
		list.add(d);


		d = new HashMap<>();
		d.put("week", "周四");
		d.put("value", 28);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周四");
		d.put("type", "完成量");
		d.put("value", 9);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周五");
		d.put("value", 5);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周五");
		d.put("type", "完成量");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("week", "周六");
		d.put("value", 33);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("week", "周六");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("value", 10);
		d.put("type", "维修任务总量");
		list.add(d);
		d = new HashMap<>();
		d.put("orgName", "周日");
		d.put("type", "完成量");
		d.put("value", 2);
		list.add(d);

		return list;
	}

	/**
	 * 维修更换统计
	 * @param n
	 * @param n1
	 * @param p
	 * @return
	 */
	public List<Map<String, Object>> checkOrderReplaceEquipmentCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("equipmentName", "RTU");
		d.put("value", 4);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "翻斗式雨量计");
		d.put("value", 5);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "水位计");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "墒情传感器");
		d.put("value", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "蓄电池");
		d.put("value", 6);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "太阳能板");
		d.put("value", 0);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "欠费");
		d.put("value", 10);
		list.add(d);

		d = new HashMap<>();
		d.put("equipmentName", "网络信号");
		d.put("value", 8);
		list.add(d);

		return list;
	}


	/**
	 * 维修站点清单
	 * @param n
	 * @param n1
	 * @param p
	 * @return
	 */
	public List<Map<String, Object>> rtuOrderProcessTableCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285478");
		d.put("rtuName", "呼-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("processCount", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 2);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285479");
		d.put("rtuName", "呼-小水库2");
		d.put("processDesc", "水位计更换");
		d.put("processCount", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 3);
		d.put("orgName", "赤峰市");
		d.put("rtuCode", "0015025888");
		d.put("rtuName", "赤-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("processCount", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 4);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCode", "00150250000");
		d.put("rtuName", "鄂-小水库1");
		d.put("processDesc", "蓄电池更换");
		d.put("processCount", 2);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 5);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCode", "00150250001");
		d.put("rtuName", "鄂-小水库2");
		d.put("processDesc", "水位计更换");
		d.put("processCount", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("index",6);
		d.put("orgName", "阿拉善盟");
		d.put("rtuCode", "00150250200");
		d.put("rtuName", "阿-小水库1");
		d.put("processDesc", "欠费");
		d.put("processCount", 1);
		list.add(d);

		d = new HashMap<>();
		d.put("index", 7);
		d.put("orgName", "阿拉善盟");
		d.put("rtuCode", "00150250201");
		d.put("rtuName", "阿-小水库2");
		d.put("processDesc", "无网络信号");
		d.put("processCount", 1);
		list.add(d);
		return list;
	}

	/**
	 * 设备更换清单
	 * @param n
	 * @param n1
	 * @param p
	 * @return
	 */
	public List<Map<String, Object>> rtuEquiomentReplaceTableCount(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		Map<String, Object> d = new HashMap<>();
		d.put("index", 1);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285478");
		d.put("rtuName", "呼-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("replaceTime", "2023-6-22");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 2);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285478");
		d.put("rtuName", "呼-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("replaceTime", "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index",3);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285479");
		d.put("rtuName", "呼-小水库2");
		d.put("processDesc", "水位计更换");
		d.put("replaceTime", "2023-6-19");
		list.add(d);

		d = new HashMap<>();
		d.put("index",4);
		d.put("orgName", "呼和浩特市");
		d.put("rtuCode", "008285479");
		d.put("rtuName", "呼-小水库2");
		d.put("processDesc", "水位计更换");
		d.put("replaceTime", "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 5);
		d.put("orgName", "赤峰市");
		d.put("rtuCode", "0015025888");
		d.put("rtuName", "赤-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 6);
		d.put("orgName", "赤峰市");
		d.put("rtuCode", "0015025888");
		d.put("rtuName", "赤-小水库1");
		d.put("processDesc", "RTU更换");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 7);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCode", "00150250000");
		d.put("rtuName", "鄂-小水库1");
		d.put("processDesc", "蓄电池更换");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 8);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCode", "00150250000");
		d.put("rtuName", "鄂-小水库1");
		d.put("processDesc", "蓄电池更换");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index",9);
		d.put("orgName", "鄂尔多斯市");
		d.put("rtuCode", "00150250001");
		d.put("rtuName", "鄂-小水库2");
		d.put("processDesc", "水位计更换");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index",10);
		d.put("orgName", "阿拉善盟");
		d.put("rtuCode", "00150250200");
		d.put("rtuName", "阿-小水库1");
		d.put("processDesc", "欠费");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);

		d = new HashMap<>();
		d.put("index", 11);
		d.put("orgName", "阿拉善盟");
		d.put("rtuCode", "00150250201");
		d.put("rtuName", "阿-小水库2");
		d.put("processDesc", "无网络信号");
		d.put("replaceTime",  "2023-6-25");
		list.add(d);
		return list;
	}

	public List<Map<String, Object>> test(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		for (int i = 0; i < 10; i++) {
			Map<String, Object> d = new HashMap<>();
			d.put("index", i);
			d.put("rtuCode", "1111111111111");
			d.put("rtuName", "小水库" + (i + 1));
			list.add(d);
		}
		return list;
	}

	public List<Map<String, Object>> getPie(String n, String n1, Map<String, Object> p) {
		List<Map<String, Object>> list = new LinkedList<>();
		for (int i = 0; i < 4; i++) {
			Map<String, Object> d = new HashMap<>();
			d.put("value", 20);
			d.put("name", "小水库" + (i + 1));
			list.add(d);
		}
		Map<String, Object> d = new HashMap<>();
		d.put("value", 20);
		d.put("name", "小水库1");
		list.add(d);
		return list;
	}
}
